GNU bug report logs - #57173
[PATCH] gnu: yt-dlp: Update to 2022.08.08.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: raingloom <raingloom@HIDDEN>; Keywords: patch; dated Sat, 13 Aug 2022 13:54:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 57173-done <at> debbugs.gnu.org:


Received: (at 57173-done) by debbugs.gnu.org; 13 Aug 2022 14:35:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 13 10:35:06 2022
Received: from localhost ([127.0.0.1]:34844 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oMsED-0000dl-Q0
	for submit <at> debbugs.gnu.org; Sat, 13 Aug 2022 10:35:06 -0400
Received: from tobias.gr ([80.241.217.52]:36270)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1oMsEA-0000d6-SU
 for 57173-done <at> debbugs.gnu.org; Sat, 13 Aug 2022 10:35:04 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=R9jq4RNS6clum
 KrrWSjR16Bsp0fM6Jq/SzCb3rcM80Y=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=U9+tSxAYlHhbsnAMIZh0wRypnUHMUN5sCuftQP
 M23gzDvcl+2vw4wHgkdnS7wnMJK4zXM6Dng6MyZad0kQIM9bpkNFU0rtZhjpnIxzliHxk+
 lH6t/hyBRbiwZDJqCJChbFqw6FjDowp9x6xKFsUZA6/UToo2VjjXhnbK422x0HVqZMzwso
 hWxpQMACwSDhl1mmqEZ6uE3mB/gkGErpNGqAG95O2CXQvuN98LLzNcphhDDWmA7DLxbY6w
 Be98yLivPto4aqxY2Z+5cCBYbMgbL9wduPthTORiQQL7s3lf9vHmx2lLXbF7YWp9LeDo+B
 WD6Vz6TxlCC9n/nyUpeYxgXw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id a13fab82
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sat, 13 Aug 2022 14:34:59 +0000 (UTC)
References: <20220813135301.22574-1-raingloom@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: raingloom <raingloom@HIDDEN>
Subject: Re: [bug#57173] [PATCH] gnu: yt-dlp: Update to 2022.08.08.
Date: Sat, 13 Aug 2022 16:19:46 +0200
In-reply-to: <20220813135301.22574-1-raingloom@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <877d3cnre3.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57173-done
Cc: 57173-done <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi raingloom,

raingloom =E5=86=99=E9=81=93=EF=BC=9A
> * gnu/packages/video.scm (yt-dlp): Update to 2022.08.08.

Thanks!

Since yt-dlp was already up to date, I've turned this into a=20
=E2=80=98fetch from git=E2=80=99 patch with the following additions:

>   [source]: remove snippet, switch to git-fetch

  ^^ extraneous indentation; s/remove/Remove/.

When using GIT-FETCH, always set the file-name to something=20
meaningful:

  (file-name (git-file-name name version))

> -                   ;; Delete the pre-generated files, except=20
> for the man page
> -                   ;; which requires 'pandoc' to build.

OK, but then we do need to build it ourselves, not remove it.

Done in c2481b1bea56f2885110d5af0a6cff36a3d95933.

The new package works fine, but differs slightly:=20
extractor/lazy_extractors.py is no longer installed.  What's up=20
with that?

Leaving open for now,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYve2lA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15iU0BAJ39DfFW1JsYGGcLAKq4u8k4HLaf+pIbkqtgVLc4
4adWAQDMsR3fCLe/F3zqg8IQEyZeKxOmeDFlkcS8kbMURMX5Dw==
=RsIs
-----END PGP SIGNATURE-----
--=-=-=--




Notification sent to raingloom <raingloom@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Tobias Geerinckx-Rice <me@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Aug 2022 14:35:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 13 10:35:14 2022
Received: from localhost ([127.0.0.1]:34848 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oMsEM-0000e9-5f
	for submit <at> debbugs.gnu.org; Sat, 13 Aug 2022 10:35:14 -0400
Received: from lists.gnu.org ([209.51.188.17]:45846)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1oMsEJ-0000dz-V9
 for submit <at> debbugs.gnu.org; Sat, 13 Aug 2022 10:35:12 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45022)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1oMsEF-00042r-7p
 for guix-patches@HIDDEN; Sat, 13 Aug 2022 10:35:11 -0400
Received: from tobias.gr ([2a02:c205:2020:6054::1]:49142)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1oMsEC-0006VO-Hf
 for guix-patches@HIDDEN; Sat, 13 Aug 2022 10:35:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=R9jq4RNS6clum
 KrrWSjR16Bsp0fM6Jq/SzCb3rcM80Y=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=U9+tSxAYlHhbsnAMIZh0wRypnUHMUN5sCuftQP
 M23gzDvcl+2vw4wHgkdnS7wnMJK4zXM6Dng6MyZad0kQIM9bpkNFU0rtZhjpnIxzliHxk+
 lH6t/hyBRbiwZDJqCJChbFqw6FjDowp9x6xKFsUZA6/UToo2VjjXhnbK422x0HVqZMzwso
 hWxpQMACwSDhl1mmqEZ6uE3mB/gkGErpNGqAG95O2CXQvuN98LLzNcphhDDWmA7DLxbY6w
 Be98yLivPto4aqxY2Z+5cCBYbMgbL9wduPthTORiQQL7s3lf9vHmx2lLXbF7YWp9LeDo+B
 WD6Vz6TxlCC9n/nyUpeYxgXw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id a13fab82
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sat, 13 Aug 2022 14:34:59 +0000 (UTC)
References: <20220813135301.22574-1-raingloom@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: raingloom <raingloom@HIDDEN>
Subject: Re: [bug#57173] [PATCH] gnu: yt-dlp: Update to 2022.08.08.
Date: Sat, 13 Aug 2022 16:19:46 +0200
In-reply-to: <20220813135301.22574-1-raingloom@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <877d3cnre3.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: 57173-done <at> debbugs.gnu.org, guix-patches@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Hi raingloom,

raingloom =E5=86=99=E9=81=93=EF=BC=9A
> * gnu/packages/video.scm (yt-dlp): Update to 2022.08.08.

Thanks!

Since yt-dlp was already up to date, I've turned this into a=20
=E2=80=98fetch from git=E2=80=99 patch with the following additions:

>   [source]: remove snippet, switch to git-fetch

  ^^ extraneous indentation; s/remove/Remove/.

When using GIT-FETCH, always set the file-name to something=20
meaningful:

  (file-name (git-file-name name version))

> -                   ;; Delete the pre-generated files, except=20
> for the man page
> -                   ;; which requires 'pandoc' to build.

OK, but then we do need to build it ourselves, not remove it.

Done in c2481b1bea56f2885110d5af0a6cff36a3d95933.

The new package works fine, but differs slightly:=20
extractor/lazy_extractors.py is no longer installed.  What's up=20
with that?

Leaving open for now,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYve2lA0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15iU0BAJ39DfFW1JsYGGcLAKq4u8k4HLaf+pIbkqtgVLc4
4adWAQDMsR3fCLe/F3zqg8IQEyZeKxOmeDFlkcS8kbMURMX5Dw==
=RsIs
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#57173; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Aug 2022 13:53:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 13 09:53:53 2022
Received: from localhost ([127.0.0.1]:60121 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oMraL-0007Hf-1g
	for submit <at> debbugs.gnu.org; Sat, 13 Aug 2022 09:53:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:47774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raingloom@HIDDEN>) id 1oMraJ-0007HY-MD
 for submit <at> debbugs.gnu.org; Sat, 13 Aug 2022 09:53:52 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37358)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <raingloom@HIDDEN>)
 id 1oMraJ-000608-Em
 for guix-patches@HIDDEN; Sat, 13 Aug 2022 09:53:51 -0400
Received: from mx0.riseup.net ([198.252.153.6]:39674)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <raingloom@HIDDEN>)
 id 1oMraH-00009f-7x
 for guix-patches@HIDDEN; Sat, 13 Aug 2022 09:53:51 -0400
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256
 client-signature RSA-PSS (2048 bits) client-digest SHA256)
 (Client CN "mail.riseup.net", Issuer "R3" (not verified))
 by mx0.riseup.net (Postfix) with ESMTPS id 4M4hpg5k6Gz9snw
 for <guix-patches@HIDDEN>; Sat, 13 Aug 2022 13:53:47 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1660398827; bh=3qP7YSQ0zAgb1fgrjmicDRPA3dCp497lot7baOfSjP0=;
 h=From:To:Cc:Subject:Date:From;
 b=ie7Ca8HNrQVbNYuwE3KsUOk0PoNC5EZrz90PIS0R3gmRhNklzj40qxubhIoy/Ytnf
 5xl45F3A7nhkX6bROxGowN4FTtXnIxTXmX+37DgEbNE9awq/hyq+xRBwbWJUBoSJwT
 fHZ3RdapGdbJ7h8XFvYbjt1E8cEV1Au7+rol4RkU=
X-Riseup-User-ID: 22DF554046ABAD68E7579762DB6E8B4BBEDE41E2E9E4F502F437C7A9CE0D92BA
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4M4hpf6GGFz5vW0;
 Sat, 13 Aug 2022 13:53:46 +0000 (UTC)
From: raingloom <raingloom@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: yt-dlp: Update to 2022.08.08.
Date: Sat, 13 Aug 2022 15:53:01 +0200
Message-Id: <20220813135301.22574-1-raingloom@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=198.252.153.6; envelope-from=raingloom@HIDDEN;
 helo=mx0.riseup.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: raingloom <raingloom@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

* gnu/packages/video.scm (yt-dlp): Update to 2022.08.08.
  [source]: remove snippet, switch to git-fetch
---
 gnu/packages/video.scm | 23 ++++++-----------------
 1 file changed, 6 insertions(+), 17 deletions(-)

diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
index 6d0b5ccb58..94ef3f0468 100644
--- a/gnu/packages/video.scm
+++ b/gnu/packages/video.scm
@@ -2486,26 +2486,15 @@ (define-public youtube-dl
 (define-public yt-dlp
   (package/inherit youtube-dl
     (name "yt-dlp")
-    (version "2022.07.18")
+    (version "2022.08.08")
     (source (origin
-              (method url-fetch)
-              (uri (string-append "https://github.com/yt-dlp/yt-dlp/"
-                                  "releases/download/"
-                                  version "/yt-dlp.tar.gz"))
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/yt-dlp/yt-dlp/")
+                    (commit version)))
               (sha256
                (base32
-                "1wmzfqhysx1mqdba4ikvm6nbahasihi4xgqwqad20y3vs701slyj"))
-              (snippet
-               #~(begin
-                   ;; Delete the pre-generated files, except for the man page
-                   ;; which requires 'pandoc' to build.
-                   (for-each delete-file
-                             (list "yt-dlp"
-                                   ;;pandoc is needed to generate
-                                   ;;"yt-dlp.1"
-                                   "completions/bash/yt-dlp"
-                                   "completions/fish/yt-dlp.fish"
-                                   "completions/zsh/_yt-dlp"))))))
+                "07qz1zdndlpki0asw35zk5hdjcwpl3n1g54nxg4yb1iykbyv7rll"))))
     (arguments
      (substitute-keyword-arguments (package-arguments youtube-dl)
        ((#:tests? _) #t)
-- 
2.37.1





Acknowledgement sent to raingloom <raingloom@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#57173; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 13 Aug 2022 15:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.